package com.manage.dao;

import com.manage.vo.User_Dept_Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface User_Dept_MenuMapper {
    List<User_Dept_Menu> selectAll(@Param("userName") String userName,@Param("sysFlag") String sysFlag,@Param("userId") Integer userId,@Param("roleId") Integer roleId,@Param("sysId") Integer sysId,@Param("hospitalId") Integer hospitalId);

    List<User_Dept_Menu> selectAllMenusByUserIdAndSysFlag(@Param("userId")Integer userId,@Param("sysFlag")String sysFlag);

    List<User_Dept_Menu> validUserRoleMenu(@Param("userId")Integer userId, @Param("url")String url);

    List<User_Dept_Menu> selectMenuListByRoleId(@Param("userName") String userName,@Param("sysFlag") String sysFlag);
}